#pragma once
#include "EntityState.h"
extern const int CS_KingSTATENAME_MOVE;
class CS_KingMove :
    public EntityState
{
public:
    CS_KingMove();
    void State() override;
    void ChangeStateMsg(int stateID) override;
    bool playWalkSound = true;
};

